List agent binary download sources

Base URL
https://{kibana_url}
  • GET /api/fleet/agent_download_sources
  • GET /s/{space_id}/api/fleet/agent_download_sources
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

OK

application/json
items object[]
host string required
id string
is_default boolean required
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

page integer
perPage integer
total integer

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}